Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect.impl.java
Class JavaMethodInfo

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.impl.java.JavaMemberInfo
          org.codehaus.aspectwerkz.reflect.impl.java.JavaMethodInfo

All Implemented Interfaces:
  MemberInfo, MethodInfo, ReflectionInfo

    public class JavaMethodInfo

extends JavaMemberInfo
implements MethodInfo

Implementation of the MethodInfo interface for java.lang.reflect.*.

Author:
  Jonas Bonr

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.reflect.impl.java.JavaMemberInfo
`m_annotations, m_classInfoRepository, m_declaringType, m_member`

Method Summary
`boolean` | `equals(Object o)`
`List` | `getAnnotations()` Returns the annotations.
`ClassInfo[]` | `getExceptionTypes()` Returns the exception types.
`static MethodInfo` | `getMethodInfo(Method method)` Returns the method info for the method specified.
`String[]` | `getParameterNames()` Returns the parameter names as they appear in the source code.
`ClassInfo[]` | `getParameterTypes()` Returns the parameter types.
`ClassInfo` | `getReturnType()` Returns the return type.
`String` | `getSignature()` Returns the signature for the element.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.codehaus.aspectwerkz.reflect.impl.java.JavaMemberInfo
`getDeclaringType, getModifiers, getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.aspectwerkz.reflect.MemberInfo
`getDeclaringType`

Methods inherited from interface org.codehaus.aspectwerkz.reflect.ReflectionInfo
`getModifiers, getName`

Method Detail

### getMethodInfo

    public static MethodInfo getMethodInfo(Method method)

  Returns the method info for the method specified.

  Parameters:
    `method` - the method
  Returns:
    the method info

### getSignature

    public String getSignature()

  Returns the signature for the element.

  Specified by:
    `getSignature` in interface `ReflectionInfo`
  Returns:
    the signature for the element

### getAnnotations

    public List getAnnotations()

  Returns the annotations.

  Specified by:
    `getAnnotations` in interface `ReflectionInfo`
  Returns:
    the annotations

### getReturnType

    public ClassInfo getReturnType()

  Returns the return type.

  Specified by:
    `getReturnType` in interface `MethodInfo`
  Returns:
    the return type

### getParameterTypes

    public ClassInfo[] getParameterTypes()

  Returns the parameter types.

  Specified by:
    `getParameterTypes` in interface `MethodInfo`
  Returns:
    the parameter types

### getParameterNames

    public String[] getParameterNames()

  Returns the parameter names as they appear in the source code.

  This information is not available from Reflect. We may use ASM to grab it - is that needed ?

  Specified by:
    `getParameterNames` in interface `MethodInfo`
  Returns:
    null / not supported for now.

### getExceptionTypes

    public ClassInfo[] getExceptionTypes()

  Returns the exception types.

  Specified by:
    `getExceptionTypes` in interface `MethodInfo`
  Returns:
    the exception types

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.